from geopy.geocoders import Nominatim
from ..location import Location
from .object import Object

class Player(Object):
    def __init__(self):
        super().__init__()
        self.current_cooldown = 0

    def set_location_with_query(self, query):
        loc = Nominatim(user_agent="GetLoc")
        getLoc = loc.geocode(query)

        self.location = Location(getLoc.latitude, getLoc.longitude)
    
    def set_location(self, location, did_activity):
        next_cd = self.get_cooldown_to(location)
        if did_activity:
            if next_cd + self.current_cooldown >= 120:
                self.current_cooldown = 120
            else:
                self.current_cooldown += next_cd
        self.location = location

    def get_location(self):
        return self.location

    def get_cooldown_to(self, location):
        # + 1 for map loading and activities
        return self.location.get_cooldown(location) + 1